Bug 182547 - Six hours to upgrade from FC5t2 to FC5t3 !!!!!
Six hours to upgrade from FC5t2 to FC5t3 !!!!!
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 01:05 EST by Joshua
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua 2006-02-23 01:05:26 EST
Description of problem: The installer is painfully slow!


Version-Release number of selected component (if applicable):


How reproducible: I used a DVD iso to upgrade FC5 test 2 on a dual p3 500 system
and it took close to 6 hours! I just did an upgrade from RH 7.3 to RH 9 and it
only took about 40 minutes --plus that was a much bigger jump!


Steps to Reproduce:
1. Insert DVD reboot...
2.
3.
  
Actual results:


Expected results:


Additional info: I have trouble with this release all over... This is the first
redhat/fedora release to support my 5 or 6 year old video card but it seems that
now the distro is too "bleeding" to support my 6 year old PC!
Comment 1 Paul Nasrat 2006-02-23 09:43:28 EST
Upgrades between (or from) test releases are not supported, if you want to test
upgrades please test between a release and a test release - FC4 and FC5 test 3.

Also you don't give any details on how long the test2 install took, how much 
memory you have, how many packages, etc. 

Comparing RH 7.3 to 9 is not really useful as we've completely reworked how
package installation is done to use yum.

Please confirm your test with more details on a supported upgrade path.
Comment 2 Joshua 2006-02-23 12:59:40 EST
The system has 512 MB ram.
1168 packages were installed.

A large portion of the time was switching between CD images on the DVD, like 20
- 30 minutes for each image and that was the same on fc5t2 install. I got tired
waiting for test 2 to install and went to sleep so I don't know how long it
ended up taking.

This is the output of 'w' when the install finished;
 17:48:24 up  5:50,  0 users,  load average: 1.66, 2.33, 2.26
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU WHAT
Comment 3 Joshua 2006-02-23 21:26:35 EST
okay, it is around 6:30 pm pacific time, I will wipe the previous upgrade and
install to a clean partition--if I had the time --which I don't! --I would
install another release first.

Anyway, I will try to keep track of the times involved, the package list and the
system state.

Comment 4 Chris Lumens 2007-03-14 17:34:50 EDT
Some improvements have been made in the speed of yum and rpm.  However, keep in
mind that we are very much at the mercy of the speed of rpm and the scriptlets
that are run on each package upgrade.  These scriptlets are where most of the
speed problems are occurring, and there's not a lot we can do here.

Note You need to log in before you can comment on or make changes to this bug.